/**
  ******************************************************************************
  * @file    user_config.h
  * @author  sinomcu.com-AE
  * @brief   Header file of user config.
  * 
  ******************************************************************************
  * @attention 
  *                           DISCLAIMER
  * The present firmware which is for guidance only aims at providing customers
  * with coding information regarding their products in order for them to save
  * time. As a result, sinomcu.com shall not be held liable for any direct,indirect
  * or consequential damages with respect to any claims arising from the content 
  * of such firmware and/or the use made by customers of the coding information 
  * contained herein in connection with their products.
  *
  * <h2><center>&copy; Copyright (c) 2021 sinomcu.com All rights reserved.</center></h2>
  *
  ******************************************************************************
  */
// <<< Use Configuration Wizard in Context Menu >>>
#ifndef __USER_CONFIG_H
#define __USER_CONFIG_H

// <o> LIN Baud Rate
// <i> select LIN baud rate
// <0=>    2400
// <1=>    4800
// <2=>    9600
#define UART_BAUD_RATE  2        

#if (UART_BAUD_RATE == 2) 
#define LIN_BAUD_RATE   9615 /*for 9600，AN2102 2.12，9615,9900 experience value*/
#elif (UART_BAUD_RATE == 1) 
#define LIN_BAUD_RATE   4800 /*for 4800，AN2102 2.12，4804,4900 experience value*/ 
#else
#define LIN_BAUD_RATE   2401 /*for 2400，AN2102 2.12，2450 experience value*/ 
#endif

#define LIN_RECV_ANSWER_FID       0x30      /*slave all,receive answer data fram id */ 

// <o> LIN slave sand answer ID
// <i> select slave send answer data id
// <1=>    0x31
// <2=>    0x32
#define LIN_SLAVE_ID  1        

#if (LIN_SLAVE_ID == 2) 
#define LIN_SEND_ANSWER_FID       0x32
#else
#define LIN_SEND_ANSWER_FID       0x31
#endif

#endif /* __USER_CONFIG_H */
// <<< end of configuration section >>>
/******************************** END OF FILE *********************************/
